unit TipFrm;

interface

uses
  {$IFDEF WIN32}Windows,{$ELSE}WinTypes,WinProcs,{$ENDIF}
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TTipsForm = class(TForm)
    TipPanel: TPanel;
    ShowChk: TCheckBox;
    OKBtn: TButton;
    NextBtn: TButton;
    PrevBtn: TButton;
    TipLbl: TLabel;
    Image1: TImage;
    TipTitleLbl: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure NextBtnClick(Sender: TObject);
    procedure PrevBtnClick(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Tips : TStrings;
    CurrentTip : integer;
    CRLF : string;
    IsRandom : boolean;
  end;

var
  TipsForm: TTipsForm;

implementation

uses ALSTDlg;

{$R *.DFM}

function ReplaceStr(const S, Srch, Replace: string): string;
var
  I: Integer;
  Source: string;
begin
  Source := S;
  Result := '';
  repeat
    I := Pos(Srch, Source);
    if I > 0 then begin
      Result := Result + Copy(Source, 1, I - 1) + Replace;
      Source := Copy(Source, I + Length(Srch), MaxInt);
    end
    else Result := Result + Source;
  until I <= 0;
end;

procedure TTipsForm.FormCreate(Sender: TObject);
begin
     Tips := TStringList.Create;
end;

procedure TTipsForm.FormDestroy(Sender: TObject);
begin
     Tips.Free;
end;

procedure TTipsForm.NextBtnClick(Sender: TObject);
var
   i : integer;
begin
     if IsRandom then begin
        Randomize;
        i := Round(Random(Tips.Count-1));
        if (i = CurrentTip) and (Tips.Count > 1) then Inc(i);
        CurrentTip := i;
     end
     else
        if CurrentTip < Tips.Count-1 then Inc(CurrentTip)
                                     else CurrentTip := 0;

     TipLbl.Caption := ReplaceStr(Tips[CurrentTip],CRLF,#13#10);
end;

procedure TTipsForm.PrevBtnClick(Sender: TObject);
begin
     if CurrentTip = 0 then CurrentTip := Tips.Count-1
                       else Dec(CurrentTip);

     TipLbl.Caption := ReplaceStr(Tips[CurrentTip],CRLF,#13#10);
end;

procedure TTipsForm.OKBtnClick(Sender: TObject);
begin
     Close;
end;

end.
